# Class OfferPayload

#### Hierarchy

- unknown
  - OfferPayload

- Defined in src/protobuf/pb_pb.d.ts:2757
- Defined in src/protobuf/pb_pb.d.ts:2894

#####
Index

### Constructors

constructor

### Methods

addAcceptedBankIds
addAcceptedCountryCodes
addReserveTxKeyImages
clearAcceptedBankIdsList
clearAcceptedCountryCodesList
clearArbitratorSigner
clearExtraDataMap
clearOwnerNodeAddress
clearPubKeyRing
clearReserveTxKeyImagesList
getAcceptedBankIdsList
getAcceptedCountryCodesList
getAmount
getArbitratorSignature
getArbitratorSignature_asB64
getArbitratorSignature_asU8
getArbitratorSigner
getBankId
getBaseCurrencyCode
getBlockHeightAtOfferCreation
getBuyerSecurityDepositPct
getChallengeHash
getCounterCurrencyCode
getCountryCode
getDate
getDirection
getExtraDataMap
getId
getIsPrivateOffer
getLowerClosePrice
getMakerFeePct
getMakerPaymentAccountId
getMarketPriceMarginPct
getMaxTradeLimit
getMaxTradePeriod
getMinAmount
getOwnerNodeAddress
getPaymentMethodId
getPenaltyFeePct
getPrice
getProtocolVersion
getPubKeyRing
getReserveTxKeyImagesList
getSellerSecurityDepositPct
getTakerFeePct
getUpperClosePrice
getUseAutoClose
getUseMarketBasedPrice
getUseReOpenAfterAutoClose
getVersionNr
hasArbitratorSigner
hasOwnerNodeAddress
hasPubKeyRing
serializeBinary
setAcceptedBankIdsList
setAcceptedCountryCodesList
setAmount
setArbitratorSignature
setArbitratorSigner
setBankId
setBaseCurrencyCode
setBlockHeightAtOfferCreation
setBuyerSecurityDepositPct
setChallengeHash
setCounterCurrencyCode
setCountryCode
setDate
setDirection
setId
setIsPrivateOffer
setLowerClosePrice
setMakerFeePct
setMakerPaymentAccountId
setMarketPriceMarginPct
setMaxTradeLimit
setMaxTradePeriod
setMinAmount
setOwnerNodeAddress
setPaymentMethodId
setPenaltyFeePct
setPrice
setProtocolVersion
setPubKeyRing
setReserveTxKeyImagesList
setSellerSecurityDepositPct
setTakerFeePct
setUpperClosePrice
setUseAutoClose
setUseMarketBasedPrice
setUseReOpenAfterAutoClose
setVersionNr
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new OfferPayload(): OfferPayload

- #### Returns OfferPayload

  Inherited from jspb.Message.constructor

## Methods

### addAcceptedBankIds

- addAcceptedBankIds(value: string, index?: number): OfferPayload

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2833

### addAcceptedCountryCodes

- addAcceptedCountryCodes(value: string, index?: number): OfferPayload

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2825

### addReserveTxKeyImages

- addReserveTxKeyImages(value: string, index?: number): OfferPayload

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2884

### clearAcceptedBankIdsList

- clearAcceptedBankIdsList(): OfferPayload

- #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2832

### clearAcceptedCountryCodesList

- clearAcceptedCountryCodesList(): OfferPayload

- #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2824

### clearArbitratorSigner

- clearArbitratorSigner(): OfferPayload

- #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2874

### clearExtraDataMap

- clearExtraDataMap(): OfferPayload

- #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2866

### clearOwnerNodeAddress

- clearOwnerNodeAddress(): OfferPayload

- #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2767

### clearPubKeyRing

- clearPubKeyRing(): OfferPayload

- #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2772

### clearReserveTxKeyImagesList

- clearReserveTxKeyImagesList(): OfferPayload

- #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2883

### getAcceptedBankIdsList

- getAcceptedBankIdsList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2830

### getAcceptedCountryCodesList

- getAcceptedCountryCodesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2822

### getAmount

- getAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2786

### getArbitratorSignature

- getArbitratorSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2876

### getArbitratorSignature_asB64

- getArbitratorSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2878

### getArbitratorSignature_asU8

- getArbitratorSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2877

### getArbitratorSigner

- getArbitratorSigner(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:2871

### getBankId

- getBankId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2827

### getBaseCurrencyCode

- getBaseCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2807

### getBlockHeightAtOfferCreation

- getBlockHeightAtOfferCreation(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2838

### getBuyerSecurityDepositPct

- getBuyerSecurityDepositPct(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2801

### getChallengeHash

- getChallengeHash(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2862

### getCounterCurrencyCode

- getCounterCurrencyCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2810

### getCountryCode

- getCountryCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2819

### getDate

- getDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2761

### getDirection

- getDirection(): OfferDirection

- #### Returns OfferDirection

  - Defined in src/protobuf/pb_pb.d.ts:2774

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:2865

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2758

### getIsPrivateOffer

- getIsPrivateOffer(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2859

### getLowerClosePrice

- getLowerClosePrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2853

### getMakerFeePct

- getMakerFeePct(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2792

### getMakerPaymentAccountId

- getMakerPaymentAccountId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2816

### getMarketPriceMarginPct

- getMarketPriceMarginPct(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2780

### getMaxTradeLimit

- getMaxTradeLimit(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2841

### getMaxTradePeriod

- getMaxTradePeriod(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2844

### getMinAmount

- getMinAmount(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2789

### getOwnerNodeAddress

- getOwnerNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:2764

### getPaymentMethodId

- getPaymentMethodId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2813

### getPenaltyFeePct

- getPenaltyFeePct(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2798

### getPrice

- getPrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2777

### getProtocolVersion

- getProtocolVersion(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2868

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:2769

### getReserveTxKeyImagesList

- getReserveTxKeyImagesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:2881

### getSellerSecurityDepositPct

- getSellerSecurityDepositPct(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2804

### getTakerFeePct

- getTakerFeePct(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2795

### getUpperClosePrice

- getUpperClosePrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:2856

### getUseAutoClose

- getUseAutoClose(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2847

### getUseMarketBasedPrice

- getUseMarketBasedPrice(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2783

### getUseReOpenAfterAutoClose

- getUseReOpenAfterAutoClose(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2850

### getVersionNr

- getVersionNr(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2835

### hasArbitratorSigner

- hasArbitratorSigner(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2873

### hasOwnerNodeAddress

- hasOwnerNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2766

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2771

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2886

### setAcceptedBankIdsList

- setAcceptedBankIdsList(value: string[]): OfferPayload

- #### Parameters

  - ##### value: string[]

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2831

### setAcceptedCountryCodesList

- setAcceptedCountryCodesList(value: string[]): OfferPayload

- #### Parameters

  - ##### value: string[]

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2823

### setAmount

- setAmount(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2787

### setArbitratorSignature

- setArbitratorSignature(value: string | Uint8Array): OfferPayload

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2879

### setArbitratorSigner

- setArbitratorSigner(value?: NodeAddress): OfferPayload

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2872

### setBankId

- setBankId(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2828

### setBaseCurrencyCode

- setBaseCurrencyCode(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2808

### setBlockHeightAtOfferCreation

- setBlockHeightAtOfferCreation(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2839

### setBuyerSecurityDepositPct

- setBuyerSecurityDepositPct(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2802

### setChallengeHash

- setChallengeHash(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2863

### setCounterCurrencyCode

- setCounterCurrencyCode(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2811

### setCountryCode

- setCountryCode(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2820

### setDate

- setDate(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2762

### setDirection

- setDirection(value: OfferDirection): OfferPayload

- #### Parameters

  - ##### value: OfferDirection

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2775

### setId

- setId(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2759

### setIsPrivateOffer

- setIsPrivateOffer(value: boolean): OfferPayload

- #### Parameters

  - ##### value: boolean

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2860

### setLowerClosePrice

- setLowerClosePrice(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2854

### setMakerFeePct

- setMakerFeePct(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2793

### setMakerPaymentAccountId

- setMakerPaymentAccountId(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2817

### setMarketPriceMarginPct

- setMarketPriceMarginPct(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2781

### setMaxTradeLimit

- setMaxTradeLimit(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2842

### setMaxTradePeriod

- setMaxTradePeriod(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2845

### setMinAmount

- setMinAmount(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2790

### setOwnerNodeAddress

- setOwnerNodeAddress(value?: NodeAddress): OfferPayload

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2765

### setPaymentMethodId

- setPaymentMethodId(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2814

### setPenaltyFeePct

- setPenaltyFeePct(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2799

### setPrice

- setPrice(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2778

### setProtocolVersion

- setProtocolVersion(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2869

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): OfferPayload

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2770

### setReserveTxKeyImagesList

- setReserveTxKeyImagesList(value: string[]): OfferPayload

- #### Parameters

  - ##### value: string[]

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2882

### setSellerSecurityDepositPct

- setSellerSecurityDepositPct(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2805

### setTakerFeePct

- setTakerFeePct(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2796

### setUpperClosePrice

- setUpperClosePrice(value: number): OfferPayload

- #### Parameters

  - ##### value: number

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2857

### setUseAutoClose

- setUseAutoClose(value: boolean): OfferPayload

- #### Parameters

  - ##### value: boolean

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2848

### setUseMarketBasedPrice

- setUseMarketBasedPrice(value: boolean): OfferPayload

- #### Parameters

  - ##### value: boolean

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2784

### setUseReOpenAfterAutoClose

- setUseReOpenAfterAutoClose(value: boolean): OfferPayload

- #### Parameters

  - ##### value: boolean

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2851

### setVersionNr

- setVersionNr(value: string): OfferPayload

- #### Parameters

  - ##### value: string

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2836

### toObject

- toObject(includeInstance?: boolean): OfferPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns OfferPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2887

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): OfferPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2890

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OfferPayload, reader: BinaryReader): OfferPayload

- #### Parameters

  - ##### message: OfferPayload

  - ##### reader: BinaryReader

  #### Returns OfferPayload

  - Defined in src/protobuf/pb_pb.d.ts:2891

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: OfferPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: OfferPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2889

### `Static` toObject

- toObject(includeInstance: boolean, msg: OfferPayload): OfferPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OfferPayload

  #### Returns OfferPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2888

Generated using TypeDoc